# SPEC file for gnomad2, main target is Fedora.

Name:		gnomad2
Version:    	2.9.1
Release:	2%{?dist}

Summary:	A GNOME 2.0 client for the Creative Jukeboxes and Dell DJs
License:	GPLv2+
URL:		http://gnomad2.sourceforge.net

Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel
BuildRequires:	libnjb-devel
BuildRequires:	libmtp-devel
BuildRequires:	libid3tag-devel
BuildRequires:	taglib-devel
BuildRequires:	dbus-glib-devel
BuildRequires:  hal-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool

%description
Gnomad2 is a client for the Creative Nomad Jukeboxes, Zen, Zen USB 2.0, NX, 
Xtra, Touch and Micro, plus the Dell DJs utilizing the libnjb library for 
jukebox communication. Further it support MTP devices by way of libmtp,
including Samsung, iriver, SanDisk, Philips, JVC and many, many more.
It is used for storing MP3 (and WAV, WMA, OGG, MP4, AVI, MPEG) media files 
on the  device and retrieving them again, it also handles data file storage 
and retrieval, playlists and a rudimentary player with full support for the 
Creative EAX sound processor on older jukebox devices.

%prep
%setup 

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# Rename this so it matches the distribution
desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
# Generate a list of all available translations
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/*
%doc AUTHORS NEWS README COPYING ChangeLog

%changelog
* Mon Feb 11 2008 Linus Walleij <triad@df.lth.se> 2.9.1-2
- Rebuild for GCC 4.3.
* Mon Jan 28 2008 Linus Walleij <triad@df.lth.se> 2.9.1-1
- New upstream version, new nice features.
* Wed Oct 31 2007 Linus Walleij <triad@df.lth.se> 2.9.0-2
- Pick up new dependency on libmtp.so.7.
* Wed Aug 29 2007 Linus Walleij <triad@df.lth.se> 2.9.0-1
- New upstream version, new dependency on taglib.
* Fri Aug 17 2007 Linus Walleij <triad@df.lth.se> 2.8.13-4
- Update license field from GPL to GPLv2+
* Sat Aug 5 2007 Linus Walleij <triad@df.lth.se> 2.8.13-3
- Rebuild again, second try.
* Sat Aug 4 2007 Linus Walleij <triad@df.lth.se> 2.8.13-2
- Rebuild to pick up new libmtp .soname dependency.
* Sat Jun 9 2007 Linus Walleij <triad@df.lth.se> 2.8.13-1
- New upstream version fixing some minor bugs.
- Candidate for backport to older releases.
* Sat Apr 14 2007 Linus Walleij <triad@df.lth.se> 2.8.12-1
- New upstream version fixing many bugs including the 2.8.11-2 patch.
- Nice up spec. destop-update-database is obviously not needed since
  this app does not add any MIME types. Do not require certain package
  versions because we know FC is up-to-date. Much shorter and easy spec
  now and then it's good because less is more.
- This'll probably go back into FC6, FC5 too.
* Sun Feb 11 2007 Linus Walleij <triad@df.lth.se> 2.8.11-2
- RH buildsystem mangles g_stat() some way, patch to use just stat()
* Mon Jan 29 2007 Linus Walleij <triad@df.lth.se> 2.8.11-1
- New upstream version fixing a bug.
* Wed Jan 24 2007 Linus Walleij <triad@df.lth.se> 2.8.10-1
- New upstream version that works with libmtp 0.1.3 also.
* Sun Jan 7 2007 Linus Walleij <triad@df.lth.se> 2.8.9-4
- Doesn't seem to have done it. Make a new build again.
* Sat Dec 9 2006 Linus Walleij <triad@df.lth.se> 2.8.9-3
- Pick up the new libmtp dependency.
* Sat Sep 30 2006 Linus Walleij <triad@df.lth.se> 2.8.9-2
- Pick up the new libmtp dependency.
* Fri Sep 22 2006 Linus Walleij <triad@df.lth.se> 2.8.9-1
- New upstream version.
* Tue Aug 29 2006 Linus Walleij <triad@df.lth.se> 2.8.6-4
- Rebuild for Fedora Extras 6.
* Tue Jul 25 2006 Linus Walleij <triad@df.lth.se> 2.8.6-3
- Fix buildrequires and upgrade path by version bump.
* Tue Jul 25 2006 Linus Walleij <triad@df.lth.se> 2.8.6-2
- Dummy version, never released
* Tue Jun 27 2006 Linus Walleij <triad@df.lth.se> 2.8.6-1
- New upstream version.
* Wed May 31 2006 Linus Walleij <triad@df.lth.se> 2.8.5-1
- New upstream version.
* Tue Feb 14 2006 Linus Walleij <triad@df.lth.se> 2.8.3-1
- New upstream version.
* Tue Feb 14 2006 Linus Walleij <triad@df.lth.se> 2.8.2-2
- Rebuild for Fedora Extras 5.
* Wed Oct 23 2005 Linus Walleij <triad@df.lth.se> 2.8.2-1
- New upstream realease.
* Wed Sep 7 2005 Linus Walleij <triad@df.lth.se> 2.8.1-1
- New upstream realease.
* Wed Aug 17 2005 Linus Walleij <triad@df.lth.se> 2.8.0-5
- Fixes following remarks from matthias@rpmforge.net
* Wed Aug 17 2005 Linus Walleij <triad@df.lth.se> 2.8.0-4
- Final fixes before Fedora Extras submission.
* Sun Aug 7 2005 Linus Walleij <triad@df.lth.se> 2.8.0-3
- More Fedora Extras fixups.
* Sun Aug 7 2005 Linus Walleij <triad@df.lth.se> 2.8.0-2
- Some starter Fedora Core / Extras fixups.
* Thu Jun 30 2005 Linus Walleij <triad@df.lth.se> 2.8.0-1
- New release with many fixes and new libnjb stuff.
* Sat Jun 4 2005 Linus Walleij <triad@df.lth.se> 2.7.0-1
- New release with many fixes.
* Wed Feb 9 2005 Linus Walleij <triad@df.lth.se> 2.6.3-1
- Incremental update to sync with libnjb.
* Thu Jan 20 2005 Linus Walleij <triad@df.lth.se> 2.6.1-1
- Fixed Dell Pocket DJ and some more things.
* Fri Dec 10 2004 Linus Walleij <triad@df.lth.se> 2.6.1-1
- Fixed Dell DJ 2 and NJB1 issues
* Tue Nov 30 2004 Linus Walleij <triad@df.lth.se> 2.6.0-1
- File system folders and Zen Micro support, libnjb 1.3 CVS needed
* Wed Sep 29 2004 Linus Walleij <triad@df.lth.se> 2.5.0-1
- Lots of cool features, libnjb 1.2 CVS version needed
* Thu Apr 29 2004 Linus Walleij <triad@df.lth.se> 2.4.4-1
- Bug fixes, compilation on Gnome 2.5/2.6, libnjb 1.1
* Sat Apr 10 2004 Linus Walleij <triad@df.lth.se> 2.4.3-1
- Minor bug fixes, syncing up with some libnjb fixes.
* Mon Feb 22 2004 Linus Walleij <triad@df.lth.se> 2.4.2-1
- Minor bug fixes, syncing up with some libnjb fixes.
* Thu Jan 22 2004 Linus Walleij <triad@df.lth.se> 2.4.1-1
- Bug fixes, mainly NJB1 works again :-)
* Sat Jan 10 2004 Linus Walleij <triad@df.lth.se> 2.4.0-1
- Dell Digital Jukebox support, and syncs with CVS libnjb.
* Sat Dec 06 2003 Linus Walleij <triad@df.lth.se> 2.3.0-1
- Nomad Zen Xtra support, and sync to libnjb 1.0
* Mon Oct 27 2003 Linus Walleij <triad@df.lth.se> 2.2.0-1
- Nomad Zen NX support and full GTK+-2.0 migration.
* Sun Aug 10 2003 Linus Walleij <triad@df.lth.se> 2.1.0-2
- Relinking with updated version of libnjb.
* Sun Aug 10 2003 Linus Walleij <triad@df.lth.se> 2.1.0-1
- Several enhancements including stuff in libnjb.
* Thu May 22 2003 Linus Walleij <triad@df.lth.se> 2.0.2-1
- Making an RPM with minor bug fixes and some upgrade libnjb code.
* Sun Apr 20 2003 Linus Walleij <triad@df.lth.se> 2.0.1-2_rh9
- Fixing up a clean and working post script for the hotplugging
* Sat Apr 19 2003 Linus Walleij <triad@df.lth.se> 2.0.1-1_rh9
- Creating a RedHat 9 special, adding automated hotplug installation.
* Sun Mar 30 2003 Linus Walleij <triad@df.lth.se> 2.0.1
- Some fixes. Still relying on CVS version of libnjb.
* Thu Jan 16 2003 Linus Walleij <triad@df.lth.se> 2.0.0
- Skipped alpha. Going to sharp.
* Sun Jan 12 2003 Linus Walleij <triad@df.lth.se> 2.0.0a-1
- Initial alpha release of 2.0.0
* Mon Oct 07 2002 Linus Walleij <triad@df.lth.se> 1.1.6-1
- Bugfixes and preliminary NJB3 support
* Sat Sep 07 2002 Linus Walleij <triad@df.lth.se> 1.1.5-1
- Bugfixes again
* Fri Jul 19 2002 Linus Walleij <triad@df.lth.se> 1.1.4-1
- Bugfix release
* Tue Jun 18 2002 Linus Walleij <triad@df.lth.se> 1.1.3-1
- Bugfix release
* Sat Jun 1 2002 Linus Walleij <triad@df.lth.se> 1.1.2-1
- Another packaging.
* Sat Apr 6 2002 Linus Walleij <triad@df.lth.se> 1.1.0-1
- First try at a GNOMAD RPM package.
